Name:		rt-firmware
Version:	2.1
Release:	1%{?dist}
Summary:	This package contains a version of the linux-firmware tree for MRG Realtime

License:	GPLv3
URL:		http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git;a=summary
Source0:	%{name}-%{fwdate}.tar.bz2
Source1:	bfa-firmware.tar.bz2
Source2:	rt-firmware.dracut
Source3:	extra-firmware-rhel_7_1.tar.bz2

BuildArch:	noarch

# date of the linux-firmware pkg we are based on
%define fwdate 20140213
%define fwdir  /lib/firmware/mrg-rt-firmware

%description
The latest linux-firmware tree from the kernel.org project for firmware blobs.

%prep

%build

%install
DIR=$(pwd)
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fwdir}
cd $RPM_BUILD_ROOT%{fwdir}
tar xvjf %{SOURCE0}
tar xvjf %{SOURCE1}
tar xvjf %{SOURCE3}
find . \( -name '*.[chSs]' -o -name 'Makefile*' -o -name '*.asm' \) -print | xargs rm -f
rm -rf carl9170fw configure
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/dracut.conf.d/rt-firmware.conf
## remove the following files, that are arch specific
rm -f brcm/brcmfmac4354-sdio.bin mixart/miXart8.elf
## create the list of files for the package
find . ! -type d | grep -v ^./README$ | sed 's#./#/lib/firmware/mrg-rt-firmware/#' > $DIR/LIST

%files -f LIST
%doc %{fwdir}/README
%config(noreplace) %{_sysconfdir}/dracut.conf.d/rt-firmware.conf
%dir %{fwdir}

%post
if ! grep mrg-rt-firmware /lib/udev/firmware.sh > /dev/null
then
    logger -t rt-firmware "adding rt-firmware to udev firmware search path"
    sed -i 's#) /lib/firmware"#) /lib/firmware"\nFIRMWARE_DIRS="/lib/firmware/mrg-rt-firmware $FIRMWARE_DIRS"#' /lib/udev/firmware.sh
fi

%postun
# if we are removing the last version of the package on the system
if [ "$1" = 0 ] ; then
    grep -v 'FIRMWARE_DIRS="/lib/firmware/mrg-rt-firmware $FIRMWARE_DIRS"' \
            /lib/udev/firmware.sh > /lib/udev/firmware.sh__
    chmod 755 /lib/udev/firmware.sh__
    mv -f /lib/udev/firmware.sh__ /lib/udev/firmware.sh
fi

%changelog
* Mon Feb 09 2015 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 2.1-1
- update for MRG-2.5.x (1184251)

* Fri Sep 12 2014 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 2.0-2
- fix: removal of rt-firmware rpm breaks udev firmware loading script (1141324)

* Mon Jul 28 2014 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 2.0-1
- merged with linux-firmware-20140213

* Thu Aug 29 2013 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 1.4-4
- add /lib/firmware/mrg-rt-firmware to udev firmware search path (998920)
- add /lib/firmware/mrg-rt-firmware to dracut firmware search path (998920)

* Thu Aug 22 2013 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 1.4-3
- install the firmware files for bfa 3.1.2.1 (910551)

* Fri Aug  9 2013 Clark Williams <williams@redhat.com> - 1.4-2
- fixed rpmlint complaints

* Fri Aug  9 2013 Clark Williams <williams@redhat.com> - 1.4-1
- update to latest linux-firmware tree
- modify specfile to exclude installation of tools/sources

* Thu Jun 27 2013 Clark Williams <williams@redhat.com> - 1.3-1
- update to latest firmware tree for 3.8 kernel

* Fri Jun 21 2013 John Kacur <jkacur@redhat.com> - 1.2-3
- This build is to document that the change to BuildArch fixed (914811)

* Tue Jun 18 2013 John Kacur <jkacur@redhat.com> - 1.2-2
- Change ExclusiveArch to BuildArch for noarch builds.

* Thu Jan  3 2013 Clark Williams <williams@redhat.com> - 1.2-1
- updated to latest to pick up new bnx2x/cnic firmware

* Tue Nov 27 2012 Clark Williams <williams@redhat.com> - 1.1-2
- rebuild in new brew branch

* Tue Nov 13 2012 Clark Williams <williams@redhat.com> - 1.1-1
- updated to latest tree for 3.6 kernel

* Mon Jul 23 2012 Clark Williams <williams@redhat.com> - 1.0-2
- changed install path to /lib/firmware/mrg-rt-firmware

* Mon Jul 23 2012 Clark Williams <williams@redhat.com> - 1.0-1
- initial checkin
